Retrieve an access clocking

Retrieve an access clocking

Returns a single access clocking by its internal ID.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/access-clockings/{id}

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-access-clockings.read

URL parameters

Parameter Description
{id} The internal ID of the access clocking.

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the access clocking.
person.id integer — Read-only Internal ID of the person who performed the clocking.
date string — Read-only Date of the access clocking (YYYY-MM-DD).
timeOfDayInMinutes integer — Read-only Minutes since midnight (0 to 1439) representing the time of the clocking on the specified date.
terminal.id integer — Read-only Internal ID of the terminal on which the clocking occurred.
status string — Read-only Result of the access attempt (AccessOk, AccessRefused, WrongPinCode, AlarmCode, AntiPassbackError, OutZone, UnknownBadgeNumber).

External references

The endpoint supports predefined and custom external references. See the external references page for details.

The following collections are supported for this endpoint:

Collection Predefined Custom
people @badge-number, @employee-number Supported
terminals @external-code Supported

Caution

There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.

Error responses

Status Condition
401 Missing or invalid access token, or insufficient scope
404 Access clocking with the given ID does not exist

Examples

Retrieving an access clocking

Example with access clocking ID 1234:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/access-clockings/1234

With external reference

Example with the employee number as external reference for the person:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/access-clockings/1234?externalReferences=(people,@employee-number)